Changing a categorized symbol should not change the [change] widget symbol

2018-01-20 07:37 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.18.15 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25798

Description

Open vector layer properties --> Style --> Categorized style

Do the classification

Double-clic on one category symbol

change and apply

In the Layer properties dialog, the [Change] button at the top of the dialog has its symbol changed and synced with the new one. This

should not be. afaik, this buttonis supposed to rule the symbol of categories and not the inverse.

This also applies to graduated style.

Concerns 2.18.16 and master (worked in 2.14)

Associated revisions

Revision 89c2b4bd - 2018-04-30 02:21 PM - Harrissou Santanna

[bugfix]Changing a range or category symbol should not update the [Change] button's (Fixes #17902)

Also avoid modification of the Change button if the dialog is not accepted

History

#1 - 2018-02-09 07:59 AM - Harrissou Santanna

- Pull Request or Patch supplied changed from No to Yes

PR at https://github.com/qgis/QGIS/pull/5976

#2 - 2018-02-22 07:44 PM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2018-05-09 08:03 AM - Harrissou Santanna

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|89c2b4bd088452426d01c77569eb3534c099ee2e.
